summaryrefslogtreecommitdiffstats
path: root/bin/cmakehdf5
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2014-12-10 00:51:29 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2014-12-10 00:51:29 (GMT)
commit609636acaa92a65a6b44440b67175dce634b2d28 (patch)
treea8e6b50cea05b6e95e1fb23c277fc5f102188998 /bin/cmakehdf5
parentff7783bbc86188bd85c9d221fbcd2010ecdcf88c (diff)
downloadhdf5-609636acaa92a65a6b44440b67175dce634b2d28.zip
hdf5-609636acaa92a65a6b44440b67175dce634b2d28.tar.gz
hdf5-609636acaa92a65a6b44440b67175dce634b2d28.tar.bz2
[svn-r25876] DAILYTEST-31: Fix cmakehdf5 for Daily Test use
Fix cmakehdf5 so that it can figure out where the source directory is. It expects cmakehdf5 itself resides at $srcdir/bin/cmamkehdf5. Tested: Jam by invoking cmakehdf4 with different paths.
Diffstat (limited to 'bin/cmakehdf5')
-rwxr-xr-xbin/cmakehdf522
1 files changed, 18 insertions, 4 deletions
diff --git a/bin/cmakehdf5 b/bin/cmakehdf5
index 58fd355..ec6357f 100755
--- a/bin/cmakehdf5
+++ b/bin/cmakehdf5
@@ -23,12 +23,26 @@ makelog="#${progname}_2build.log"
testlog="#${progname}_3test.log"
packlog="#${progname}_4pack.log"
installlog="#${progname}_5install.log"
-srcdir="../hdf5" # expected source directory
exit_code=0
+# This command should be in the source directory's bin/
+# and should have invoked as "$srcdir/bin/$progname" or
+# "bin/$progname". So, by striping bin/$program from $0,
+# we can find $srcdir.
+if [ $0 == bin/$progname ]; then
+ srcdir="." # current directory
+else
+ # $0 is $srdir/bin/$progname
+ srcdir=`echo $0 | sed -e s%/bin/$progname\$%%`
+fi
+# Sanity check
+if [ ! -r $srcdir/bin/$progname ]; then
+ echo "encountered error while trying to find srcdir($srdir)"
+ exit 1
+fi
+
# Cmake build options
-hdf5_src=../hdf5
-cacheinit=$hdf5_src/config/cmake/cacheinit.cmake
+cacheinit=$srcdir/config/cmake/cacheinit.cmake
build_cpp_lib=-DHDF5_BUILD_CPP_LIB:BOOL=OFF # C++ interface default off
build_fortran=-DHDF5_BUILD_FORTRAN:BOOL=OFF # Fortran interface default off
build_hl_lib=-DHDF5_BUILD_HL_LIB:BOOL=ON # High Level interface default on
@@ -189,7 +203,7 @@ STEP "Configure..." "cmake \
$build_hl_lib \
$build_testing \
$build_tools \
- $hdf5_src" $configlog
+ $srcdir" $configlog
# 5. Build the C library, tools and tests with this command:
STEP "Build the library, tools and tests, ..." "cmake --build . --config Release" $makelog